package net.davidc.egp.snaxe;

import java.io.IOException;

import net.davidc.egp.snaxe.networking.SwarmScreenClient;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: SwarmPlayer.java 25 2011-09-18 15:41:54Z david $
 */
public class SwarmPlayer extends Player
{
  private final SwarmScreenClient swarmClient;
  private int playerId;

  public SwarmPlayer(SwarmScreenClient swarmClient, int playerId)
  {
    this.swarmClient = swarmClient;
    this.playerId = playerId;
  }

  public int getPlayerId()
  {
    return playerId;
  }

  @Override
  public void sendMessage(String message) throws IOException
  {
    swarmClient.sendMessage(playerId, message);
  }

  @Override
  public String toString()
  {
    return "SwarmPlayer{" +
            "playerId=" + playerId +
            "} " + super.toString();
  }
}
