package net.davidc.egp.snaxe.networking;

/**
 * A listener that is notified of events from the swarm server.
 *
 * @author David Croft (david@davidc.net)
 * @version $Id: SwarmListener.java 25 2011-09-18 15:41:54Z david $
 */
public interface SwarmListener
{
  /**
   * A controller has connected to the swarm server.
   *
   * @param playerId the player id of the controller
   */
  void playerJoined(int playerId);

  /**
   * A message has been received from a controller.
   *
   * @param playerId the player id of the controller
   * @param message  the message received
   */
  void messageReceived(int playerId, String message);

  /**
   * A controller has disconnected from the swarm server
   *
   * @param playerId the player id of the controller
   */
  void playerQuit(int playerId);
}
